package com.backendsys.modules.app.user.service;

import com.backendsys.modules.app.user.entity.AppAuth;
import com.backendsys.modules.app.user.entity.AppUser;
import jakarta.servlet.http.HttpServletResponse;

import java.io.IOException;

public interface AppAuthService {

    // 获取图形验证码
    void renderCaptcha(HttpServletResponse response) throws IOException;


    // 前台用户登录 (手机账号)
    AppUser loginWithPhone(AppAuth appAuth);
    // 前台用户登录 (微信小程序用户)
    AppUser loginWithWechatMiniprogram(AppAuth appAuth);


    // [事件] 登录成功
    AppUser loginSuccess(AppUser appUser);
    // [事件] 登录失败
    void loginFail(String errMsg, String phone, Boolean isIntercept);

}
